org.apache.avro.reflect

## Annotation Type AvroAlias

-     @Retention(value=RUNTIME)
       @Target(value={TYPE,FIELD})
       @Repeatable(value=AvroAliases.class)
      public @interface AvroAlias

  Adds the given name and space as an alias to the schema. Avro files of this schema can be read into classes named by the alias.

- - ### Field Summary

    Fields
    Modifier and Type | Fields and Description
    --- | ---
    `static String` | `NULL`

  - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `alias`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `space`

- - ### Field Detail

    - #### NULL

          public static final String NULL

  - ### Element Detail

    - #### alias

          public abstract String alias

  - - #### space

          public abstract String space

      Default:
        "NOT A VALID NAMESPACE"

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.